# container.device.update

Update a container device of id.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

ID of the container device to update.

##### Parameter 2: container_device_update

#### container_device_update

Type: object

Updated configuration for the container device.

No Additional Properties

##

#### Attributes

Type: object

Device-specific configuration attributes.

##

#### Container

Type: integer

ID of the container this device belongs to.

##

#### ContainerDeviceEntry

Type: object

The updated container device configuration.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the containers device.

##

#### Attributes

Device-specific configuration attributes.

## One of

#### ContainerFilesystemDevice

Type: object
No Additional Properties

##

#### Dtype

Type: const

Device type identifier for FILESYSTEM devices.

Specific value: `"FILESYSTEM"`

##

#### Target

Type: string Default: "/usr/bin/zsh"

Target must not contain braces.

Must match regular expression: `^[^{}]*$`

Must be at least `1` characters long

##

#### Source

Type: string Default: "/usr/bin/zsh"

Source must not contain braces, and not start with /mnt/.

Must match regular expression: `^[^{}]*$`

Must be at least `1` characters long

#### ContainerGPUDevice

Type: object
No Additional Properties

##

#### Dtype

Type: const

Device type identifier for GPU devices.

Specific value: `"GPU"`

##

#### Gpu Type

Type: const

GPU device type.

Specific value: `"AMD"`

##

#### Pci Address

Type: string

PCI address of the GPU device on the host system.

Must be at least `1` characters long

#### ContainerNICDevice

Type: object
No Additional Properties

##

#### Dtype

Type: const

Device type identifier for network interface cards.

Specific value: `"NIC"`

##

#### Trust Guest Rx Filters

Type: boolean Default: false

Whether to trust guest OS receive filter settings for better performance.

##

#### Type

Type: enum (of string) Default: "E1000"

Network interface controller type. `E1000` for Intel compatibility, `VIRTIO` for performance.

##### Must be one of:

- "E1000"
- "VIRTIO"

##

#### Nic Attach

Default: null

Host network interface or bridge to attach to. `null` for no attachment.

## Any of

Type: string
Type: null

##

#### Mac

Default: null

MAC address for the virtual network interface. `null` for auto-generation.

## Any of

Type: string
Must match regular expression: `^([0-9A-Fa-f]{2}[:-]?){5}([0-9A-Fa-f]{2})$`
Type: null

#### ContainerUSBDevice

Type: object
No Additional Properties

##

#### Dtype

Type: const

Device type identifier for USB devices.

Specific value: `"USB"`

##

Default: null

USB device attributes for identification. `null` for USB host controller only.

## Any of

#### USBAttributes

Type: object
No Additional Properties

##

#### Vendor Id

Type: string Default: "/usr/bin/zsh"

USB vendor identifier in hexadecimal format (e.g., '0x1d6b' for Linux Foundation).

Must match regular expression: `^0x.*`

Must be at least `1` characters long

##

#### Product Id

Type: string Default: "/usr/bin/zsh"

USB product identifier in hexadecimal format (e.g., '0x0002' for 2.0 root hub).

Must match regular expression: `^0x.*`

Must be at least `1` characters long

Type: null

##

#### Device

Default: null

Host USB device path to pass through. `null` for controller only.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Container

Type: integer

ID of the container this device belongs to.

Required roles: CONTAINER_DEVICE_WRITE